Issue 127147 - RAT scan reports some files (automatically created at build time) that need to be added to exclude list
Summary: RAT scan reports some files (automatically created at build time) that need t...
Status: RESOLVED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: code (show other issues)
Version: 4.1.4-dev
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.4
Assignee: Marcus
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-29 17:51 UTC by Marcus
Modified: 2017-02-04 21:11 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---
arielch: 4.1.4_release_blocker+


Attachments
Patch to extend the RAT scan to exclude more files while building (1.02 KB, patch)
2016-10-29 21:30 UTC, Marcus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Marcus 2016-09-29 17:51:50 UTC
When running the RAT scan while building 4.1.3-dev the report shows some files that should be excluded from scanning and therefore be added to the exclude list:

- main/LinuxX64-64Env.Set
- main/LinuxX64-64Env.Set.sh
- main/autom4te.cache/output.0
- main/autom4te.cache/requests
- main/autom4te.cache/traces.0
- main/config.log
- main/config.params
- main/configure
- main/warn

I'll check also for the other platforms.
Comment 1 Marcus 2016-09-29 17:54:47 UTC
As we should rely on a clean and green report, I would like to see this fixed in 4.1.4.
Comment 2 Andrea Pescetti 2016-09-29 19:11:03 UTC
Since I think this applies to trunk too (but I haven't checked; just ignore if I'm wrong) this should be fixed in trunk first, with or without the approval as 4.1.4 blocker; then it can be merged to 4.1.4 if approved as blocker.

@Marcus: if you need more information on switching branches and merging from trunk just ask to the dev list.
Comment 3 Marcus 2016-09-29 19:20:24 UTC
Yes, trunk first.

Sure it can be merged. But the code base is maybe too different already. IMHO it's better to check it separately and *if needed* fix it diffenretly.
Comment 4 Marcus 2016-10-21 14:16:20 UTC
I've looked into "main/rat-excludes". Regarding this topic, the diff between the AOO420 and AOO414 is mostly actually the listed files. So, trunk is already fixed. Now it needs to be fix in AOO414.

Waiting for Ariel's blocker grant.
Comment 5 Ariel Constenla-Haile 2016-10-28 03:58:47 UTC
Is there a patch for this issue?
Comment 6 Marcus 2016-10-28 18:19:24 UTC
(In reply to Ariel Constenla-Haile from comment #5)
> Is there a patch for this issue?

Believe it or not but I don't know how to create a patch file. With the "patch" command it seems to me that there are many possibilities.

Maybe you could tell me? Then I can provide quickly the file.
Comment 7 Andrea Pescetti 2016-10-28 20:38:59 UTC
If you are only going to modify existing files, the output of "svn diff" is a patch we can use.
Comment 8 Marcus 2016-10-29 21:30:13 UTC
Created attachment 85816 [details]
Patch to extend the RAT scan to exclude more files while building
Comment 9 Marcus 2016-10-29 21:31:24 UTC
(In reply to Andrea Pescetti from comment #7)
> If you are only going to modify existing files, the output of "svn diff" is
> a patch we can use.

I've attached a svn diff output.
Comment 10 SVN Robot 2017-02-01 16:57:49 UTC
"arielch" committed SVN revision 1781271 into branches/AOO414:
i127147 - Add some generated files
Comment 11 Ariel Constenla-Haile 2017-02-01 16:59:50 UTC
Fixed with Revision 1781271
Cherry-picked from Revision 1580870 and Revision 1755455
Comment 12 Ariel Constenla-Haile 2017-02-02 23:07:49 UTC
This can be verified with the buildbot's RAT scan: https://ci.apache.org/projects/openoffice/release_branch/rat-output.html